Subject: Re: bug#60845: 30.0.50; [PATCH] Add tests for Eshell interactive completion (and fix a bug in it)
From: Jim Porter <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], Daniel Mendler <[email-masked]>, Gregory Heytings <[email-masked]>, [email-masked], Stefan Monnier <[email-masked]>
Date: Tue, 10 Oct 2023 13:07:50 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/5/2023 6:37 PM, Jim Porter wrote:
> Attached is a patch to revert the Emacs 29 workarounds. I *believe* I've 
> fixed this on the Eshell side by always providing Pcomplete with the 
> arguments in their string form. Could everyone try the patch out to make 
> sure things still work?
> 
> In particular, see the cases in the following bugs: bug#60464, 
> bug#60021, and bug#59956.

Since there have been no further comments in the last month, I've now 
merged my patch to the master branch as 239db5d5162. If anyone sees any 
issues resulting from this, feel free to back it out, file a bug, and/or 
let me know directly.